summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Herzberg <herzi@gnome-de.org>2007-12-21 17:37:45 +0000
committerSven Herzberg <herzi@src.gnome.org>2007-12-21 17:37:45 +0000
commit493b44ffd5589970bda124117829bf1448a1f5b7 (patch)
tree313fe42348706f937fb74704aee25f064da1cc48
parent91c24d5d9e928de4936f791ecc902bde76ca7bd6 (diff)
downloadshared-mime-info-493b44ffd5589970bda124117829bf1448a1f5b7.tar.gz
Reviewed by: Christian Persch
2007-12-21 Sven Herzberg <herzi@gnome-de.org> Reviewed by: Christian Persch Abort when the first dependency fails. Fixes bug 469115. * macros2/gnome-autogen.sh: don't use the DIE variable anymore and abort on the first dependency failure svn path=/trunk/; revision=3913
-rw-r--r--ChangeLog9
-rw-r--r--macros2/gnome-autogen.sh33
2 files changed, 23 insertions, 19 deletions
diff --git a/ChangeLog b/ChangeLog
index 6b1b9880..a2cb45de 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,12 @@
+2007-12-21 Sven Herzberg <herzi@gnome-de.org>
+
+ Reviewed by: Christian Persch
+
+ Abort when the first dependency fails. Fixes bug 469115.
+
+ * macros2/gnome-autogen.sh: don't use the DIE variable anymore and
+ abort on the first dependency failure
+
2007-06-08 Christian Persch <chpe@gnome.org>
* macros2/gnome-autogen.sh: Don't print extra newlines when /bin/sh
diff --git a/macros2/gnome-autogen.sh b/macros2/gnome-autogen.sh
index b99ee219..f28f42cb 100644
--- a/macros2/gnome-autogen.sh
+++ b/macros2/gnome-autogen.sh
@@ -115,6 +115,7 @@ version_check() {
printerr " from your distribution or get the source tarball at"
printerr " $vc_source"
printerr
+ exit $vc_status
fi
return $vc_status
}
@@ -221,7 +222,7 @@ check_m4macros() {
fi
if [ "$cm_status" != 0 ]; then
print_m4macros_error
- return $cm_status
+ exit $cm_status
fi
if [ -n "$FORBIDDEN_M4MACROS" ]; then
printbold "Checking for forbidden M4 macros..."
@@ -242,8 +243,8 @@ check_m4macros() {
fi
if [ "$cm_status" != 0 ]; then
print_m4macros_error
+ exit $cm_status
fi
- return $cm_status
}
# try to catch the case where the macros2/ directory hasn't been cleared out.
@@ -300,13 +301,11 @@ for configure_ac in $configure_files; do
fi
done
-DIE=0
-
#tell Mandrake autoconf wrapper we want autoconf 2.5x, not 2.13
WANT_AUTOCONF_2_5=1
export WANT_AUTOCONF_2_5
version_check autoconf AUTOCONF 'autoconf2.50 autoconf autoconf-2.53' $REQUIRED_AUTOCONF_VERSION \
- "http://ftp.gnu.org/pub/gnu/autoconf/autoconf-$REQUIRED_AUTOCONF_VERSION.tar.gz" || DIE=1
+ "http://ftp.gnu.org/pub/gnu/autoconf/autoconf-$REQUIRED_AUTOCONF_VERSION.tar.gz"
AUTOHEADER=`echo $AUTOCONF | sed s/autoconf/autoheader/`
case $REQUIRED_AUTOMAKE_VERSION in
@@ -319,60 +318,56 @@ case $REQUIRED_AUTOMAKE_VERSION in
1.10*) automake_progs="automake-1.10" ;;
esac
version_check automake AUTOMAKE "$automake_progs" $REQUIRED_AUTOMAKE_VERSION \
- "http://ftp.gnu.org/pub/gnu/automake/automake-$REQUIRED_AUTOMAKE_VERSION.tar.gz" || DIE=1
+ "http://ftp.gnu.org/pub/gnu/automake/automake-$REQUIRED_AUTOMAKE_VERSION.tar.gz"
ACLOCAL=`echo $AUTOMAKE | sed s/automake/aclocal/`
if $want_libtool; then
version_check libtool LIBTOOLIZE libtoolize $REQUIRED_LIBTOOL_VERSION \
- "http://ftp.gnu.org/pub/gnu/libtool/libtool-$REQUIRED_LIBTOOL_VERSION.tar.gz" || DIE=1
+ "http://ftp.gnu.org/pub/gnu/libtool/libtool-$REQUIRED_LIBTOOL_VERSION.tar.gz"
require_m4macro libtool.m4
fi
if $want_gettext; then
version_check gettext GETTEXTIZE gettextize $REQUIRED_GETTEXT_VERSION \
- "http://ftp.gnu.org/pub/gnu/gettext/gettext-$REQUIRED_GETTEXT_VERSION.tar.gz" || DIE=1
+ "http://ftp.gnu.org/pub/gnu/gettext/gettext-$REQUIRED_GETTEXT_VERSION.tar.gz"
require_m4macro gettext.m4
fi
if $want_glib_gettext; then
version_check glib-gettext GLIB_GETTEXTIZE glib-gettextize $REQUIRED_GLIB_GETTEXT_VERSION \
- "ftp://ftp.gtk.org/pub/gtk/v2.2/glib-$REQUIRED_GLIB_GETTEXT_VERSION.tar.gz" || DIE=1
+ "ftp://ftp.gtk.org/pub/gtk/v2.2/glib-$REQUIRED_GLIB_GETTEXT_VERSION.tar.gz"
require_m4macro glib-gettext.m4
fi
if $want_intltool; then
version_check intltool INTLTOOLIZE intltoolize $REQUIRED_INTLTOOL_VERSION \
- "http://ftp.gnome.org/pub/GNOME/sources/intltool/" || DIE=1
+ "http://ftp.gnome.org/pub/GNOME/sources/intltool/"
require_m4macro intltool.m4
fi
if $want_pkg_config; then
version_check pkg-config PKG_CONFIG pkg-config $REQUIRED_PKG_CONFIG_VERSION \
- "'http://www.freedesktop.org/software/pkgconfig/releases/pkgconfig-$REQUIRED_PKG_CONFIG_VERSION.tar.gz" || DIE=1
+ "'http://www.freedesktop.org/software/pkgconfig/releases/pkgconfig-$REQUIRED_PKG_CONFIG_VERSION.tar.gz"
require_m4macro pkg.m4
fi
if $want_gtk_doc; then
version_check gtk-doc GTKDOCIZE gtkdocize $REQUIRED_GTK_DOC_VERSION \
- "http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/" || DIE=1
+ "http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
require_m4macro gtk-doc.m4
fi
if $want_gnome_doc_utils; then
version_check gnome-doc-utils GNOME_DOC_PREPARE gnome-doc-prepare $REQUIRED_GNOME_DOC_UTILS_VERSION \
- "http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/" || DIE=1
+ "http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/"
fi
if [ "x$USE_COMMON_DOC_BUILD" = "xyes" ]; then
version_check gnome-common DOC_COMMON gnome-doc-common \
- $REQUIRED_DOC_COMMON_VERSION " " || DIE=1
+ $REQUIRED_DOC_COMMON_VERSION " "
fi
-check_m4macros || DIE=1
-
-if [ "$DIE" -eq 1 ]; then
- exit 1
-fi
+check_m4macros
if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
printerr "**Warning**: I am going to run \`configure' with no arguments."